> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Models V1

> **Deprecated.** Use [GET /platform/v2/models](/api-reference/get-models/v2) instead. This endpoint returns basic model metadata without pricing information.

<Warning>
  This endpoint is **deprecated**. Use the [Get Models V2](/api-reference/get-models/v2) endpoint instead, which returns the same metadata plus accurate pricing information.
</Warning>


## OpenAPI

````yaml get /ai/v1/models
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/v1/models:
    get:
      tags:
        - get-models
      summary: Get models v1
      description: >-
        **Deprecated.** Use [GET
        /platform/v2/models](/api-reference/get-models/v2) instead. This
        endpoint returns basic model metadata without pricing information.
      operationId: get-models
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelsListResponse'
              example:
                object: list
                data:
                  - id: model-id-0
                    object: model
                    created: 1686935002
                    owned_by: organization-owner
      deprecated: true
components:
  schemas:
    ModelsListResponse:
      type: object
      properties:
        object:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              created:
                type: integer
              name:
                type: string
              family:
                type: string
              max_input_tokens:
                type: integer
              max_output_tokens:
                type: integer
              modalities:
                type: array
                items: {}
              context_window:
                type: integer
              description:
                type: string
              owned_by:
                type: string
              object:
                type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````